# Point in Poly

This package provides a utility to check if a given point (latitude and longitude) lies within a specified polygon. It is particularly useful for geographical applications such as determining if a point is within a certain region or zone.

## Installation

To install the package, use pip:

```sh
pip install shapely
```

## Usage

Here's an example of how to use the main function in this package:

### Example

```python
# Example polygon data (GeoJSON format)
polygon_data = {
    "type": "FeatureCollection",
    "features": [
        {
            "type": "Feature",
            "geometry": {
                "type": "Polygon",
                "coordinates": [
                    [
                        [-101.74, 39.32],
                        [-101.74, 41.32],
                        [-99.74, 41.32],
                        [-99.74, 39.32],
                        [-101.74, 39.32]
                    ]
                ]
            },
            "properties": {}
        }
    ]
}

# Check if the point is in the polygon
result = check_point_in_poly(40.0, -100.0, polygon_data)
if result:
    print("Point is within the polygon.")
else:
    print("Point is not within the polygon.")
```

## License

This project is licensed under the MIT License.
